<?php
namespace Pinpoint\FileUpload\Model\Config\Source;

class FileTypes implements \Magento\Framework\Option\ArrayInterface
{
    public function toOptionArray()
    {
        return [
            ['value' => 'pdf', 'label' => __('PDF')],
            ['value' => 'ppt', 'label' => __('PowerPoint')],
            ['value' => 'pptx', 'label' => __('PowerPoint (2007 and above)')],
            ['value' => 'xlsx', 'label' => __('Excel')],
            ['value' => 'csv', 'label' => __('CSV')],
            ['value' => 'doc', 'label' => __('Word')],
            ['value' => 'docx', 'label' => __('Word (2007 and above)')],
            ['value' => 'mp3', 'label' => __('MP3')],
            ['value' => 'txt', 'label' => __('Text')],
            // ... Add more file types as needed
        ];
    }
}
